io.vertx.rxjava.ext.shell

## Class ShellService

- java.lang.Object
- - io.vertx.rxjava.ext.shell.ShellService

-     public class ShellService
      extends Object

  The shell service, provides a remotely accessible shell available via Telnet or SSH according to the `ShellServiceOptions` configuration.

  The shell service will expose commands using `CommandResolver` on the classpath and the shared command registry for the Vert.x instance.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShellService(ShellService delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShellService` | `create(Vertx vertx)` Like `create(io.vertx.rxjava.core.Vertx)`, with default options.
    `static ShellService` | `create(Vertx vertx, ShellServiceOptions options)` Create a new shell service.
    `Object` | `getDelegate()`
    `static ShellService` | `newInstance(ShellService arg)`
    `ShellServer` | `server()`
    `void` | `start()` Start the shell service, this is an asynchronous start.
    `void` | `start(Handler<AsyncResult<Void>> startHandler)` Start the shell service, this is an asynchronous start.
    `Observable<Void>` | `startObservable()` Start the shell service, this is an asynchronous start.
    `void` | `stop()` Stop the shell service, this is an asynchronous stop.
    `void` | `stop(Handler<AsyncResult<Void>> stopHandler)` Stop the shell service, this is an asynchronous start.
    `Observable<Void>` | `stopObservable()` Stop the shell service, this is an asynchronous start.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShellService

          public ShellService(ShellService delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### create

          public static ShellService create(Vertx vertx)

      Like `create(io.vertx.rxjava.core.Vertx)`, with default options.
      Parameters:
        `vertx` -
      Returns:

    - #### create

          public static ShellService create(Vertx vertx,
                                            ShellServiceOptions options)

      Create a new shell service.
      Parameters:
        `vertx` - the Vert.x instance
        `options` - the service config options
      Returns:
        the shell service

    - #### start

          public void start()

      Start the shell service, this is an asynchronous start.

    - #### start

          public void start(Handler<AsyncResult<Void>> startHandler)

      Start the shell service, this is an asynchronous start.
      Parameters:
        `startHandler` - handler for getting notified when service is started

    - #### startObservable

          public Observable<Void> startObservable()

      Start the shell service, this is an asynchronous start.
      Returns:

    - #### server

          public ShellServer server()

      Returns:
        the shell server

    - #### stop

          public void stop()

      Stop the shell service, this is an asynchronous stop.

    - #### stop

          public void stop(Handler<AsyncResult<Void>> stopHandler)

      Stop the shell service, this is an asynchronous start.
      Parameters:
        `stopHandler` - handler for getting notified when service is stopped

    - #### stopObservable

          public Observable<Void> stopObservable()

      Stop the shell service, this is an asynchronous start.
      Returns:

    - #### newInstance

          public static ShellService newInstance(ShellService arg)

Copyright © 2016. All rights reserved.